%global _empty_manifest_terminate_build 0
Name:		python-xarray
Version:	2024.2.0
Release:	1
Summary:	N-D labeled arrays and datasets in Python
License:	Apache-2.0
URL:		https://github.com/pydata/xarray
Source0:	https://files.pythonhosted.org/packages/85/4a/55843308a16a89ffa67e672fe0508367b541c669018a083b15f900a3805c/xarray-2024.2.0.tar.gz
BuildArch:	noarch

%description
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience.

%package -n python3-xarray
Summary:	N-D labeled arrays and datasets in Python
Provides:	python-xarray = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools 
Requires:	python3-numpy
Requires:	python3-pandas
Requires:	python3-packaging
%description -n python3-xarray
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience.

%package help
Summary:	Development documents and examples for xarray
Provides:	python3-xarray-doc
%description help
xarray introduces labels in the form of dimensions, coordinates and attributes 
on top of raw NumPy-like arrays, which allows for a more intuitive, more 
concise, and less error-prone developer experience.

%prep
%autosetup -n xarray-%{version}

%build
%py3_build

%install
%py3_install 
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-xarray 
%{python3_sitelib}/*

%files help 
%{_docdir}/*

%changelog
* Tue Mar 05 2024 yueyuankun <yueyuankun@kylinos.cn> - 2024.2.0-1
- Update package to version 2024.2.0

* Wed Dec 27 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2023.12.0-1
- Update package to version 2023.12.0

* Wed Jul 05 2023 chenzixuan <chenzixuan@kylinos.cn> - 2023.6.0-1
- Update package to version 2023.6.0

* Fri May 19 2023 wangjunqi <wangjunqi@kylinos.cn> - 2023.5.0-1
- Update package to version 2023.5.0

* Thu Feb 16 2023 wubijie <wubijie@kylinos.cn> - 2023.2.0-1
- Update package to version 2023.2.0

* Mon Nov 21 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2022.11.0-1
- Update package to version 2022.11.0

* Tue Sep 27 2022 guozhengxin <guozhengxin@kylinos.cn> - 2022.6.0-1
- Upgrade package to version 2022.6.0

* Thu Dec 02 2021 Python_Bot <Python_Bot@openeuler.org> - 0.20.1-1
- Package Init
